Bug 237439 - Scim may cause that the gui applications associated with scim lose response
Scim may cause that the gui applications associated with scim lose response
Product: Fedora
Classification: Fedora
Component: scim-pinyin (Show other bugs)
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Peng Huang
: Reopened
: 322301 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-04-22 23:56 EDT by William Gan
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.5.91-22.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-15 19:39:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The crash profile of Konqueror (6.57 KB, text/plain)
2007-04-22 23:56 EDT, William Gan
no flags Details
The crash profile of Konqueror with debug info (6.50 KB, text/plain)
2007-04-29 22:47 EDT, William Gan
no flags Details
The gdb backtrace of konqueror (7.62 KB, text/plain)
2007-05-08 21:53 EDT, William Gan
no flags Details
The tar of $HOME/.scim (126.30 KB, application/x-compressed-tar)
2007-05-14 22:20 EDT, William Gan
no flags Details

  None (edit)
Description William Gan 2007-04-22 23:56:11 EDT
Description of problem:
When I set the option 'Input Method' as 'Follow the system-wide
configuration[SCIM]', the Konqueror crashes[See attachment] and the firefox
responses too slow to work.
When I set the option 'Input Method' as 'Never use input method', all things are

Version-Release number of selected component (if applicable):
The packages associated with scim installed in my laptop:

How reproducible:
Follow my description.

Steps to Reproduce:
Actual results:
The Konqueror crashes.

Expected results:

Additional info:
Comment 1 William Gan 2007-04-22 23:56:11 EDT
Created attachment 153264 [details]
The crash profile of Konqueror
Comment 2 Jens Petersen 2007-04-27 03:54:54 EDT
Can you please install scim-pinyin-debuginfo and scim-debuginfo
to help get a more detailed backtrace.
Comment 3 William Gan 2007-04-29 22:47:37 EDT
Created attachment 153757 [details]
The crash profile of Konqueror with debug info
Comment 4 Jens Petersen 2007-04-29 23:14:57 EDT
Can you try uninstalling scim-pinyin temporarily and restarting your desktop
to see if you still get the crash without scim-pinyin?

Thanks for the gdb backtraces btw: one problem with them is that they are missing
the inner stack frames apparently.  Sorry but could you try running konqueror
directly from gdb like this:

$ gdb konqueror
(gdb) run
(gdb) backtrace

and if that gives more information please attach the output here.  Thanks.
Comment 5 William Gan 2007-05-08 21:53:32 EDT
Created attachment 154373 [details]
The gdb backtrace of konqueror
Comment 6 Jens Petersen 2007-05-08 22:49:32 EDT
Thanks for the new backtrace, so it seems the crash is occurring in scim-pinyin.

Would you be able to disable Smart Pinyin (either temporarily remove scim-pinyin,
disable it in scim-setup, or at least try changing to an other SCIM IMEngine) to
so see if it also crashes then?
Comment 7 William Gan 2007-05-09 22:59:34 EDT
[root@william ~]# scim-setup 
/usr/bin/scim-setup: line 32:  3753 Segmentation fault     
/usr/lib/scim-1.0/scim-helper-launcher setup 8034d025-bdfc-4a10-86a4-82b9461b32b0 $*
Comment 8 William Gan 2007-05-09 23:29:05 EDT
When I remove the package scim-pinyin, everything is ok.
Comment 9 Peng Huang 2007-05-13 21:17:36 EDT
Does scim-pinyin only crash with Konqueror and firefox? Can it work well with
other gnome and kde applications?
Comment 10 William Gan 2007-05-13 21:37:35 EDT
Most apps [Terminal and Text Editor for GNOME]associated with scim-pinyin have
no response for 3-10 secs and then works.
Comment 11 Peng Huang 2007-05-13 21:40:04 EDT
I can not reproduce it in my box. I guess maybe it is because of bad phrase
files or configure files. Could you backup and remove $HOME/.scim folder and
restart desktop to test it? If I am right, please package .scim folder and
attach it to bugzilla. Thanks.
Comment 12 Jens Petersen 2007-05-13 21:55:39 EDT
Also are you using GNOME or KDE desktop?
Comment 13 William Gan 2007-05-14 22:19:24 EDT
You are right. First I backup the $HOME/.scim folder and then remove it,
everything is ok.
See attached.
Comment 14 William Gan 2007-05-14 22:20:11 EDT
Created attachment 154702 [details]
The tar of $HOME/.scim
Comment 15 Peng Huang 2007-06-06 02:20:09 EDT
It is because of some errors in bad user pinyin phrase table or configure files.
I think it should not happen if use does not do some lethal operations (like
shutdown computer by power button). So I will close it as NOTABUG. If anyone
find similar bugs, feel free to reopen it. :)
Comment 16 Peng Huang 2007-10-19 05:16:16 EDT
*** Bug 322301 has been marked as a duplicate of this bug. ***
Comment 17 Peng Huang 2007-11-15 02:50:29 EST
Fixed in scim-pinyin-0_5_91-22_fc8 and scim-pinyin-0_5_91-22_fc9
Comment 18 Fedora Update System 2007-11-15 19:39:18 EST
scim-pinyin-0.5.91-22.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.